#!/usr/bin/env bash
parent_path=$( cd "$(dirname "${BASH_SOURCE[0]}")" || exit ; pwd -P )
cd "$parent_path/otis" || exit
npx prettier --write src/
npx ng lint --fix
cd "$parent_path/luthor" || exit
isort luthor
black luthor
flake8 luthor
