import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Advocate } from '../../core/advocate';

export class AdvocateListDataSource extends DataSource<Advocate> {
  constructor(public data: Advocate[]) {
    super();
  }

  connect(): Observable<Advocate[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
