import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { CaseSource } from '../core/case-source';

import { CaseSourceService } from './case-source.service';

@Injectable({
  providedIn: 'root',
})
export class CaseSourceListResolver implements Resolve<CaseSource[]> {
  constructor(private ser: CaseSourceService) {}

  resolve(): Observable<CaseSource[]> {
    return this.ser.list();
  }
}
