import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { CaseSource } from '../../core/case-source';

export class CaseSourceListDataSource extends DataSource<CaseSource> {
  constructor(public data: CaseSource[]) {
    super();
  }

  connect(): Observable<CaseSource[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
