import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { CaseType } from '../core/case-type';

import { CaseTypeService } from './case-type.service';

@Injectable({
  providedIn: 'root',
})
export class CaseTypeListResolver implements Resolve<CaseType[]> {
  constructor(private ser: CaseTypeService) {}

  resolve(): Observable<CaseType[]> {
    return this.ser.list();
  }
}
