import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { CaseType } from '../../core/case-type';

export class CaseTypeListDataSource extends DataSource<CaseType> {
  constructor(public data: CaseType[]) {
    super();
  }

  connect(): Observable<CaseType[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
