import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';

import { Hearing } from '../../core/hearing';

export class HearingDatasource extends DataSource<Hearing> {
  constructor(private data: Observable<Hearing[]>) {
    super();
  }

  connect(): Observable<Hearing[]> {
    return this.data;
  }

  disconnect() {}
}
