import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Contact } from '../core/contact';

import { ContactService } from './contact.service';

@Injectable({
  providedIn: 'root',
})
export class ContactListResolver implements Resolve<Contact[]> {
  constructor(private ser: ContactService) {}

  resolve(): Observable<Contact[]> {
    return this.ser.list();
  }
}
