import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { CourtStatus } from '../../core/court-status';

export class CourtStatusListDataSource extends DataSource<CourtStatus> {
  constructor(public data: CourtStatus[]) {
    super();
  }

  connect(): Observable<CourtStatus[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
