import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Court } from '../../core/court';

export class CourtListDataSource extends DataSource<Court> {
  constructor(public data: Court[]) {
    super();
  }

  connect(): Observable<Court[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
