import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Department } from '../core/department';

import { DepartmentService } from './department.service';

@Injectable({
  providedIn: 'root',
})
export class DepartmentListResolver implements Resolve<Department[]> {
  constructor(private ser: DepartmentService) {}

  resolve(): Observable<Department[]> {
    return this.ser.list();
  }
}
