import { CdkTableModule } from '@angular/cdk/table';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FlexLayoutModule } from '@angular/flex-layout';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatTableModule } from '@angular/material/table';

import { NatureDetailComponent } from './nature-detail/nature-detail.component';
import { NatureListComponent } from './nature-list/nature-list.component';
import { NaturesRoutingModule } from './natures-routing.module';

@NgModule({
  imports: [
    CommonModule,
    CdkTableModule,
    FlexLayoutModule,
    MatButtonModule,
    MatCardModule,
    MatIconModule,
    MatInputModule,
    MatProgressSpinnerModule,
    MatTableModule,
    ReactiveFormsModule,
    NaturesRoutingModule,
  ],
  declarations: [NatureListComponent, NatureDetailComponent],
})
export class NaturesModule {}
