import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { OfficeStatus } from '../core/office-status';

import { OfficeStatusService } from './office-status.service';

@Injectable({
  providedIn: 'root',
})
export class OfficeStatusListResolver implements Resolve<OfficeStatus[]> {
  constructor(private ser: OfficeStatusService) {}

  resolve(): Observable<OfficeStatus[]> {
    return this.ser.list();
  }
}
