import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Role } from '../role';

export class RoleListDataSource extends DataSource<Role> {
  constructor(public data: Role[]) {
    super();
  }

  connect(): Observable<Role[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
