import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { TaxReportItem } from './tax-report-item';

export class TaxReportDatasource extends DataSource<TaxReportItem> {
  constructor(public data: TaxReportItem[]) {
    super();
  }

  connect(): Observable<TaxReportItem[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
