import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { User } from '../core/user';

import { UserService } from './user.service';

@Injectable({
  providedIn: 'root',
})
export class UserListResolver implements Resolve<User[]> {
  constructor(private ser: UserService) {}

  resolve(): Observable<User[]> {
    return this.ser.list();
  }
}
