import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { User } from '../../core/user';

export class UserListDataSource extends DataSource<User> {
  constructor(public data: User[]) {
    super();
  }

  connect(): Observable<User[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
