import uuid

from typing import List

from pydantic import BaseModel


class UserToken(BaseModel):
    id_: uuid.UUID
    name: str
    locked_out: bool = None
    password: str
    permissions: List[str]
