import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Act } from '../core/act';

import { ActService } from './act.service';

@Injectable({
  providedIn: 'root',
})
export class ActListResolver implements Resolve<Act[]> {
  constructor(private ser: ActService) {}

  resolve(): Observable<Act[]> {
    return this.ser.list();
  }
}
