import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Act } from '../../core/act';

export class ActListDataSource extends DataSource<Act> {
  constructor(public data: Act[]) {
    super();
  }

  connect(): Observable<Act[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
