import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Advocate } from '../core/advocate';

import { AdvocateService } from './advocate.service';

@Injectable({
  providedIn: 'root',
})
export class AdvocateListResolver implements Resolve<Advocate[]> {
  constructor(private ser: AdvocateService) {}

  resolve(): Observable<Advocate[]> {
    return this.ser.list();
  }
}
