import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Case } from '../core/case';

import { CaseService } from './case.service';

@Injectable({
  providedIn: 'root',
})
export class CaseListResolver implements Resolve<Case[]> {
  constructor(private ser: CaseService) {}

  resolve(): Observable<Case[]> {
    return this.ser.list('');
  }
}
