import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { ComplianceList } from './compliance-list';
import { ComplianceListService } from './compliance-list.service';

@Injectable({
  providedIn: 'root',
})
export class ComplianceListResolver implements Resolve<ComplianceList> {
  constructor(private ser: ComplianceListService) {}

  resolve(): Observable<ComplianceList> {
    return this.ser.list();
  }
}
