import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Contact } from '../../core/contact';

export class ContactListDataSource extends DataSource<Contact> {
  constructor(public data: Contact[]) {
    super();
  }

  connect(): Observable<Contact[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
