import { Department } from './department';
import { Office } from './office';

export class Contact {
  id: string | undefined;
  name: string;
  mobile: string;
  landline: string;
  address: string;
  email: string;
  office?: Office;
  department?: Department;

  public constructor(init?: Partial<Contact>) {
    this.id = undefined;
    this.name = '';
    this.mobile = '';
    this.landline = '';
    this.address = '';
    this.email = '';
    Object.assign(this, init);
  }
}
