import { Department } from './department';

export class Office {
  id: string | undefined;
  name: string;
  address: string;
  email: string;
  department?: Department;

  public constructor(init?: Partial<Office>) {
    this.id = undefined;
    this.name = '';
    this.address = '';
    this.email = '';
    Object.assign(this, init);
  }
}
