import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { CourtStatus } from '../core/court-status';

import { CourtStatusService } from './court-status.service';

@Injectable({
  providedIn: 'root',
})
export class CourtStatusListResolver implements Resolve<CourtStatus[]> {
  constructor(private ser: CourtStatusService) {}

  resolve(): Observable<CourtStatus[]> {
    return this.ser.list();
  }
}
