import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Department } from '../../core/department';

export class DepartmentListDataSource extends DataSource<Department> {
  constructor(public data: Department[]) {
    super();
  }

  connect(): Observable<Department[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
