import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Nature } from '../core/nature';

import { NatureService } from './nature.service';

@Injectable({
  providedIn: 'root',
})
export class NatureListResolver implements Resolve<Nature[]> {
  constructor(private ser: NatureService) {}

  resolve(): Observable<Nature[]> {
    return this.ser.list();
  }
}
