import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Nature } from '../../core/nature';

export class NatureListDataSource extends DataSource<Nature> {
  constructor(public data: Nature[]) {
    super();
  }

  connect(): Observable<Nature[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
