import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { OfficeStatus } from '../../core/office-status';

export class OfficeStatusListDataSource extends DataSource<OfficeStatus> {
  constructor(public data: OfficeStatus[]) {
    super();
  }

  connect(): Observable<OfficeStatus[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
