import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Office } from '../../core/office';

export class OfficeListDataSource extends DataSource<Office> {
  constructor(public data: Office[]) {
    super();
  }

  connect(): Observable<Office[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
