import { Permission } from './permission';

export class Role {
  id: string | undefined;
  name: string;
  permissions: Permission[];

  public constructor(init?: Partial<Role>) {
    this.id = undefined;
    this.name = '';
    this.permissions = [];
    Object.assign(this, init);
  }
}
