import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { SaleReportItem } from './sale-report-item';

export class SaleReportDatasource extends DataSource<SaleReportItem> {
  constructor(public data: SaleReportItem[]) {
    super();
  }

  connect(): Observable<SaleReportItem[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
