import { TaxReportItem } from './tax-report-item';

export class TaxReport {
  startDate: string;
  finishDate: string;
  amounts: TaxReportItem[];

  public constructor(init?: Partial<TaxReport>) {
    this.startDate = '';
    this.finishDate = '';
    this.amounts = [];
    Object.assign(this, init);
  }
}
